commit:     1e1e01623ad2b04d0500d229995c50c3223dadcd
Author:     mschubert <mschu.dev <AT> gmail <DOT> com>
AuthorDate: Sat Jan 23 21:38:55 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 10:25:28 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=1e1e0162

sci-biology/salmon: version bump 0.5/0.6, cleanup

Package-Manager: portage-2.2.20-prefix

 .../salmon/files/salmon-0.3.2-no-boost-static.patch       |  4 ++--
 sci-biology/salmon/metadata.xml                           |  8 ++++----
 sci-biology/salmon/salmon-0.3.2.ebuild                    | 12 +++++++++---
 sci-biology/salmon/salmon-0.4.2.ebuild                    | 12 +++++++++---
 .../salmon/{salmon-0.4.2.ebuild => salmon-0.5.0.ebuild}   | 12 +++++++++---
 .../salmon/{salmon-0.4.2.ebuild => salmon-0.6.0.ebuild}   | 12 +++++++++---
 sci-biology/salmon/salmon-9999.ebuild                     | 15 ++++++++++-----
 7 files changed, 52 insertions(+), 23 deletions(-)

diff --git a/sci-biology/salmon/files/salmon-0.3.2-no-boost-static.patch 
b/sci-biology/salmon/files/salmon-0.3.2-no-boost-static.patch
index edc09e7..7ac3d08 100644
--- a/sci-biology/salmon/files/salmon-0.3.2-no-boost-static.patch
+++ b/sci-biology/salmon/files/salmon-0.3.2-no-boost-static.patch
@@ -2,8 +2,8 @@ Do not force static and multithreaded boost libs, use what is 
available
 
 Patch by Michael Schubert
 
---- CMakeLists.txt
-+++ CMakeLists.txt
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
 @@ -162,13 +162,6 @@ if ( DEFINED CUSTOM_BOOST_PATH )
      set (CMAKE_LIBRARY_PATH ${CUSTOM_BOOST_PATH}/lib ${CMAKE_LIBRARY_PATH})
  endif ( DEFINED CUSTOM_BOOST_PATH )

diff --git a/sci-biology/salmon/metadata.xml b/sci-biology/salmon/metadata.xml
index 1d04676..cb020ec 100644
--- a/sci-biology/salmon/metadata.xml
+++ b/sci-biology/salmon/metadata.xml
@@ -1,14 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <maintainer type="person">
-    <email>[email protected]</email>
-    <name>Michael Schubert</name>
-  </maintainer>
   <maintainer type="project">
     <email>[email protected]</email>
     <name>Gentoo Biology Project</name>
   </maintainer>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Michael Schubert</name>
+  </maintainer>
   <upstream>
     <remote-id type="github">COMBINE-lab/salmon</remote-id>
   </upstream>

diff --git a/sci-biology/salmon/salmon-0.3.2.ebuild 
b/sci-biology/salmon/salmon-0.3.2.ebuild
index 049344b..e64b220 100644
--- a/sci-biology/salmon/salmon-0.3.2.ebuild
+++ b/sci-biology/salmon/salmon-0.3.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -17,6 +17,12 @@ IUSE=""
 
 PATCHES=( "${FILESDIR}"/${P}-no-boost-static.patch )
 
-DEPEND="dev-libs/boost
-               dev-libs/jemalloc"
+DEPEND="dev-libs/boost:0
+               dev-libs/jemalloc
+               dev-cpp/tbb"
 RDEPEND="${DEPEND}"
+
+src_install() {
+       cmake-utils_src_install
+       rm -r "${ED}"/usr/tests || die
+}

diff --git a/sci-biology/salmon/salmon-0.4.2.ebuild 
b/sci-biology/salmon/salmon-0.4.2.ebuild
index dffe77e..032fd4d 100644
--- a/sci-biology/salmon/salmon-0.4.2.ebuild
+++ b/sci-biology/salmon/salmon-0.4.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -17,6 +17,12 @@ IUSE=""
 
 PATCHES=( "${FILESDIR}"/${PN}-0.3.2-no-boost-static.patch )
 
-DEPEND="dev-libs/boost
-               dev-libs/jemalloc"
+DEPEND="dev-libs/boost:0
+               dev-libs/jemalloc
+               dev-cpp/tbb"
 RDEPEND="${DEPEND}"
+
+src_install() {
+       cmake-utils_src_install
+       rm -r "${ED}"/usr/tests || die
+}

diff --git a/sci-biology/salmon/salmon-0.4.2.ebuild 
b/sci-biology/salmon/salmon-0.5.0.ebuild
similarity index 73%
copy from sci-biology/salmon/salmon-0.4.2.ebuild
copy to sci-biology/salmon/salmon-0.5.0.ebuild
index dffe77e..032fd4d 100644
--- a/sci-biology/salmon/salmon-0.4.2.ebuild
+++ b/sci-biology/salmon/salmon-0.5.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -17,6 +17,12 @@ IUSE=""
 
 PATCHES=( "${FILESDIR}"/${PN}-0.3.2-no-boost-static.patch )
 
-DEPEND="dev-libs/boost
-               dev-libs/jemalloc"
+DEPEND="dev-libs/boost:0
+               dev-libs/jemalloc
+               dev-cpp/tbb"
 RDEPEND="${DEPEND}"
+
+src_install() {
+       cmake-utils_src_install
+       rm -r "${ED}"/usr/tests || die
+}

diff --git a/sci-biology/salmon/salmon-0.4.2.ebuild 
b/sci-biology/salmon/salmon-0.6.0.ebuild
similarity index 73%
copy from sci-biology/salmon/salmon-0.4.2.ebuild
copy to sci-biology/salmon/salmon-0.6.0.ebuild
index dffe77e..032fd4d 100644
--- a/sci-biology/salmon/salmon-0.4.2.ebuild
+++ b/sci-biology/salmon/salmon-0.6.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -17,6 +17,12 @@ IUSE=""
 
 PATCHES=( "${FILESDIR}"/${PN}-0.3.2-no-boost-static.patch )
 
-DEPEND="dev-libs/boost
-               dev-libs/jemalloc"
+DEPEND="dev-libs/boost:0
+               dev-libs/jemalloc
+               dev-cpp/tbb"
 RDEPEND="${DEPEND}"
+
+src_install() {
+       cmake-utils_src_install
+       rm -r "${ED}"/usr/tests || die
+}

diff --git a/sci-biology/salmon/salmon-9999.ebuild 
b/sci-biology/salmon/salmon-9999.ebuild
index ab171cb..139e2ee 100644
--- a/sci-biology/salmon/salmon-9999.ebuild
+++ b/sci-biology/salmon/salmon-9999.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
 
-inherit git-r3 cmake-utils
+inherit cmake-utils git-r3
 
 DESCRIPTION="Transcript-level quantification from RNA-seq reads using 
lightweight alignments"
 HOMEPAGE="https://github.com/COMBINE-lab/salmon";
@@ -13,11 +13,16 @@ EGIT_REPO_URI="https://github.com/COMBINE-lab/salmon.git";
 
 LICENSE="GPL-3"
 SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE=""
 
 PATCHES=( "${FILESDIR}"/${PN}-0.3.2-no-boost-static.patch )
 
-DEPEND="dev-libs/boost
-               dev-libs/jemalloc"
+DEPEND="dev-libs/boost:0
+               dev-libs/jemalloc
+               dev-cpp/tbb"
 RDEPEND="${DEPEND}"
+
+src_install() {
+       cmake-utils_src_install
+       rm -r "${ED}"/usr/tests || die
+}

Reply via email to